/* ================================================== */
/* CSS for control sap.ui.unified/CalendarRow.control */
/* HCB                                                */
/* ================================================== */

.sapUiCalendarRowAppsNoWork{
	background-color: @sapHCReducedBG;
}

/* Appointments */
.sapUiCalendarApp{
	border-left-color: @sapHCStandardFG;
}

.sapUiCalendarAppCont{
	border-color: @sapHCStandardFG;
}

/* as outlines can't have different offsets on one side (no left border) and don't work in IE just use a inner border */
html.sap-desktop .sapUiCalendarApp:focus > .sapUiCalendarAppCont:after{
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	content: "";
	border: 0.125rem dotted @sapUiFocus;
}

html.sap-desktop .sapUiCalendarApp:hover:not(:active) > .sapUiCalendarAppCont{
	border-color: @sapHCStandardFG;
}

/* colors for types */
.calendarRowTypeColorMixIn(@class, @color){
	.@{class}.sapUiCalendarApp,
	.@{class}.sapUiCalendarApp:active{
	border-left-color: @color;
	}
}

.calendarRowTypeColorIntervalMixIn(@class, @color){
	.@{class}.sapUiCalendarRowAppsIntHead{
		background-color: fade(@color, 15);
	}

	.@{class}.sapUiCalendarRowAppsIntHeadFirst{
		border-left-color: @color;
	}
}

.calendarRowTypeColorMixIn(sapUiCalendarAppType01, @sapUiAccent1);
.calendarRowTypeColorMixIn(sapUiCalendarAppType02, @sapUiAccent2);
.calendarRowTypeColorMixIn(sapUiCalendarAppType03, @sapUiAccent3);
.calendarRowTypeColorMixIn(sapUiCalendarAppType04, darken(@sapUiAccent2, 20));
.calendarRowTypeColorMixIn(sapUiCalendarAppType05, lighten(@sapUiAccent4, 20));
.calendarRowTypeColorMixIn(sapUiCalendarAppType06, @sapUiAccent6);
.calendarRowTypeColorMixIn(sapUiCalendarAppType07, @sapUiAccent7);
.calendarRowTypeColorMixIn(sapUiCalendarAppType08, @sapUiAccent8);
.calendarRowTypeColorMixIn(sapUiCalendarAppType09, lighten(@sapUiAccent6, 15));
.calendarRowTypeColorMixIn(sapUiCalendarAppType10, darken(@sapUiAccent4, 10));

.calendarRowTypeColorIntervalMixIn(sapUiCalendarRowAppsIntHeadType01, @sapUiAccent1);
.calendarRowTypeColorIntervalMixIn(sapUiCalendarRowAppsIntHeadType02, @sapUiAccent2);
.calendarRowTypeColorIntervalMixIn(sapUiCalendarRowAppsIntHeadType03, @sapUiAccent3);
.calendarRowTypeColorIntervalMixIn(sapUiCalendarRowAppsIntHeadType04, darken(@sapUiAccent2, 20));
.calendarRowTypeColorIntervalMixIn(sapUiCalendarRowAppsIntHeadType05, lighten(@sapUiAccent4, 20));
.calendarRowTypeColorIntervalMixIn(sapUiCalendarRowAppsIntHeadType06, @sapUiAccent6);
.calendarRowTypeColorIntervalMixIn(sapUiCalendarRowAppsIntHeadType07, @sapUiAccent7);
.calendarRowTypeColorIntervalMixIn(sapUiCalendarRowAppsIntHeadType08, @sapUiAccent8);
.calendarRowTypeColorIntervalMixIn(sapUiCalendarRowAppsIntHeadType09, lighten(@sapUiAccent6, 15));
.calendarRowTypeColorIntervalMixIn(sapUiCalendarRowAppsIntHeadType10, darken(@sapUiAccent4, 10));